CVE List

CVE-2020-8864

Critical 8.8

This vulnerability allows network-adjacent attackers to bypass authentication on affected installations of D-Link DIR-867, DIR-878, and DIR-882 routers with firmware 1.10B04. Authentication is not required to exploit this vulnerability. The specific flaw exists within the handling of HNAP login requests. The issue results from the lack of proper handling of empty passwords. An attacker can leverage this vulnerability to execute arbitrary code on the router. Was ZDI-CAN-9471.

Published March 24, 2020.

Affected software

Dlink Dir-878 Firmware

Dlink Dir-867 Firmware

Dlink Dir-882 Firmware

Reference links

Sign Up for Alerts